module Main where

import System.IO

type Point a = (a,a)

parsePoint :: (Read a) => String->Point a

parsePoint = read


readPoints :: (Read a) => String -> IO [Point a]

readPoints file = readFile file >>= \s -> return (map read (lines s))


cat xs = isEOF >>= \eof -> if eof
                           then return (reverse xs)
                           else getLine >>= \ln -> cat (ln:xs)

main = cat [] >>= \ls -> putStrLn (show ls)

